Authoring
Probe a spawn point
POST
/
api
/
v1
/
authoring
/
maps
/
{mapVersionId}
/
spawn
Probe a spawn point
curl --request POST \
--url https://dev.simforge.ai/api/v1/authoring/maps/{mapVersionId}/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalogId": "<string>",
"laneRsl": "<string>",
"s": 1,
"x": 123,
"z": 123,
"headingRad": 123,
"lateralM": 123,
"opposing": true,
"static": true,
"draftId": "<string>",
"expectedVersion": 4503599627370495,
"expectedDigest": "<string>"
}
'import requests
url = "https://dev.simforge.ai/api/v1/authoring/maps/{mapVersionId}/spawn"
payload = {
"catalogId": "<string>",
"laneRsl": "<string>",
"s": 1,
"x": 123,
"z": 123,
"headingRad": 123,
"lateralM": 123,
"opposing": True,
"static": True,
"draftId": "<string>",
"expectedVersion": 4503599627370495,
"expectedDigest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalogId: '<string>',
laneRsl: '<string>',
s: 1,
x: 123,
z: 123,
headingRad: 123,
lateralM: 123,
opposing: true,
static: true,
draftId: '<string>',
expectedVersion: 4503599627370495,
expectedDigest: '<string>'
})
};
fetch('https://dev.simforge.ai/api/v1/authoring/maps/{mapVersionId}/spawn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}Authorizations
A sfc_at_… access token from simforge login, or an sfk_… API key. An operation's security lists the scopes the credential must hold.
Path Parameters
Body
application/json
Required string length:
1 - 256Required string length:
1 - 256Required range:
x >= 0Required string length:
1 - 256Required range:
0 <= x <= 9007199254740991Pattern:
^[a-f0-9]{64}$Response
Atomic authoring result; save returns an immutable revision.
⌘I
Probe a spawn point
curl --request POST \
--url https://dev.simforge.ai/api/v1/authoring/maps/{mapVersionId}/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalogId": "<string>",
"laneRsl": "<string>",
"s": 1,
"x": 123,
"z": 123,
"headingRad": 123,
"lateralM": 123,
"opposing": true,
"static": true,
"draftId": "<string>",
"expectedVersion": 4503599627370495,
"expectedDigest": "<string>"
}
'import requests
url = "https://dev.simforge.ai/api/v1/authoring/maps/{mapVersionId}/spawn"
payload = {
"catalogId": "<string>",
"laneRsl": "<string>",
"s": 1,
"x": 123,
"z": 123,
"headingRad": 123,
"lateralM": 123,
"opposing": True,
"static": True,
"draftId": "<string>",
"expectedVersion": 4503599627370495,
"expectedDigest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalogId: '<string>',
laneRsl: '<string>',
s: 1,
x: 123,
z: 123,
headingRad: 123,
lateralM: 123,
opposing: true,
static: true,
draftId: '<string>',
expectedVersion: 4503599627370495,
expectedDigest: '<string>'
})
};
fetch('https://dev.simforge.ai/api/v1/authoring/maps/{mapVersionId}/spawn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}